{
	// See https://go.microsoft.com/fwlink/?LinkId=733558
	// for the documentation about the tasks.json format
	"version": "2.0.0",
	"tasks": [
		{
			"label": "Serve",
			"type": "shell",
			"command": "bundle",
			"args": [
				"exec",
				"jekyll",
				"serve",
				"--watch",
				"--trace",
				"--livereload",
				"--future",
				"--unpublished",
				"--drafts"
			],
			"group": "none",
			"problemMatcher": []
		},
		{
			"label": "Build",
			"type": "shell",
			"command": "bundle",
			"args": [
				"exec",
				"jekyll",
				"build",
				"--incremental",
				"--destination",
				"build"
			],
			"group": {
				"kind": "build",
				"isDefault": true
			},
			"problemMatcher": []
		},
		{
			"label": "Build & Upload",
			"dependsOn": [
				"Build"
			],
			"type": "process",
			"options": {
				"cwd": "build"
			},
			"command": "wsl",
			"args": [
				"-e",
				"/usr/bin/rsync",
				"-v",
				"-P",
				"-a",
				"--delete",
				".",
				"www-data@web.svc.xaymar.com:/var/www/com.xaymar.www/"
			],
			"group": "build",
			"problemMatcher": []
		}
	]
}
